package com.msg.xt.jee.cdi.jira_weld_1131;

import java.io.Serializable;

public class Customer implements Serializable {

	private String firstName;
	private String lastName;
	private int age;

	public Customer() {
		// make CDI happy
	}

	public Customer(String firstName, String lastName, int age) {
		super();
		this.firstName = firstName;
		this.lastName = lastName;
		this.age = age;
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	@PredicateDef("value")
	public String getFirstName() {
		return firstName;
	}

	@PredicateDef("example")
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	@PredicateDef("value")
	public String getLastName() {
		return lastName;
	}

	@PredicateDef("value")
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	@Override
	public String toString() {
		return "Customer [firstName=" + firstName + ", lastName=" + lastName
				+ ", age=" + age + "]";
	}

}
